Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCCAChartCreator.java	(revision 3940)
@@ -141,7 +141,7 @@
 	/**
 	 * Add some borders to the limits of the specified XY plot.
 	 * 
-	 * @param plot
+	 * @param chart
 	 */
 	public void createCAFactorialMapChartLimitsBorder(JFreeChart chart) {
 		
Index: TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/datasets/CAXYDataset.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/datasets/CAXYDataset.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/datasets/CAXYDataset.java	(revision 3940)
@@ -268,7 +268,7 @@
 	/**
 	 * Gets the indices of point from their labels.
 	 * @param series
-	 * @param label
+	 * @param labels
 	 * @return
 	 */
 	public int[] getLabelIndices(int series, String[] labels)	{
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/base/JFCTheme.java	(revision 3940)
@@ -125,10 +125,7 @@
 	
 	/**
 	 * 
-	 * @param chart
 	 * @param result
-	 * @param preferencesNode
-	 * @param applySeriesStrokes
 	 */
 	public void applyThemeToChart(ChartResult result) {
 		// FIXME
@@ -164,7 +161,6 @@
 	 * Disables outline shape paint and sets the new shapes.
 	 * 
 	 * @param legendTitle
-	 * @param legendLabelsBaseFont
 	 * @param overrideShapes
 	 * @param palette
 	 */
@@ -290,8 +286,6 @@
 	/**
 	 * Creates a Category step renderer.
 	 * 
-	 * @param linesVisible
-	 * @param shapesVisible
 	 * @return
 	 */
 	public CategoryStepRenderer createCategoryStepRenderer() {
@@ -366,8 +360,6 @@
 	/**
 	 * Sets the series paints in the plot renderer according to user defined paints and specified items colors rendering mode.
 	 * 
-	 * @param plot
-	 * @param itemsColorsRenderingMode
 	 */
 	public ArrayList<Color> applySeriesPaint(ChartResult result) {
 		
@@ -463,7 +455,7 @@
 	/**
 	 * Sets the series strokes in the plot renderer according to user defined strokes in a cyclic way.
 	 * 
-	 * @param plot
+	 * @param result
 	 */
 	public void applySeriesStrokes(ChartResult result) {
 		this.applySeriesStrokes(result, true);
@@ -473,7 +465,7 @@
 	/**
 	 * Sets the series strokes in the plot renderer according to user defined strokes.
 	 * 
-	 * @param plot
+	 * @param result
 	 */
 	public void applySeriesStrokes(ChartResult result, boolean cyclic) {
 		
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 3940)
@@ -60,12 +60,7 @@
  *
  */
 public class HighchartsDefaultTheme extends JFCTheme {
-	
-	
-	/**
-	 *
-	 * @param name
-	 */
+
 	public HighchartsDefaultTheme(JFCChartsEngine chartsEngine) {
 		super(chartsEngine, "Highcharts - Default"); // $NON-NLS-1$ //$NON-NLS-1$
 		
@@ -145,7 +140,7 @@
 	 * Applies this theme to the specified chart. Modifies plot and renderer too.
 	 * (The theme can not be used with ChartFactory.setChartTheme() because of additional plot, renderer and chart settings according to the type of chart.)
 	 * 
-	 * @param chart
+	 * @param result
 	 */
 	public void applyThemeToChart(ChartResult result) {
 		
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java	(revision 3940)
@@ -37,7 +37,6 @@
 	 *
 	 * @return The plot (possibly <code>null</code>).
 	 *
-	 * @see #setPlot(CategoryPlot)
 	 */
 	public Plot getPlot();
 	
@@ -55,7 +54,7 @@
 	 *
 	 * @return The paint (possibly <code>null</code>).
 	 *
-	 * @see #applySeriesPaint(int, Paint)
+	 * @see "#applySeriesPaint(int, Paint)"
 	 */
 	public Paint getSeriesPaint(int series);
 	
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MouseOverItemSelector.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MouseOverItemSelector.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MouseOverItemSelector.java	(revision 3940)
@@ -255,7 +255,6 @@
 	 * 
 	 * @param series
 	 * @param item
-	 * @param index
 	 */
 	public void pushItemToDrawAsLast(int series, int item, boolean drawItemTheLast) {
 		List selectedItems = this.itemsToDrawAsLastElements.get(series);
Index: TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 3940)
@@ -76,7 +76,6 @@
 	/**
 	 * Creates a JFreeChart charts engine implementation with the specified theme and output format.
 	 * 
-	 * @param theme the theme to apply to all charts
 	 * @param outputFormat the output format for the chart, it can be a file or an UI object
 	 */
 	public JFCChartsEngine(String outputFormat) {
@@ -251,8 +250,6 @@
 	 * @param xAxisLabel
 	 * @param yAxisLabel
 	 * @param showLegends
-	 * @param linesVisible
-	 * @param shapesVisible
 	 * @return
 	 */
 	public JFreeChart createCategoryStepChart(CategoryDataset dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends) {
@@ -269,10 +266,7 @@
 	 * @param xAxisLabel
 	 * @param yAxisLabel
 	 * @param showLegends
-	 * @param linesVisible
-	 * @param shapesVisible
 	 * @param rangeAxisintegerTicks
-	 * @param domainAxisintegerTicks
 	 * @return
 	 */
 	public JFreeChart createCategoryStepChart(CategoryDataset dataset, String title, String xAxisLabel, String yAxisLabel, boolean showLegends, boolean rangeAxisintegerTicks) {
Index: TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 3940)
@@ -657,8 +657,8 @@
 	 * 
 	 * @param fMax
 	 */
-	public void setFMaxFilter(int fMin) {
-		this.fMaxFilter = fMin;
+	public void setFMaxFilter(int fMax) {
+		this.fMaxFilter = fMax;
 	}
 	
 	/**
Index: TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 3940)
@@ -91,9 +91,6 @@
 	 * Instantiates a new lexical table impl.
 	 *
 	 * @param matrix the matrix
-	 * @param property the property
-	 * @param formNames the form names
-	 * @param partNames the part names
 	 * @throws RWorkspaceException the r workspace exception
 	 */
 	public LexicalTableImpl(int[][] matrix, String[] rowNames, String[] colNames) throws RWorkspaceException {
@@ -117,7 +114,6 @@
 	/**
 	 * Instantiates a new lexical table impl.
 	 *
-	 * @param table the table
 	 * @param symbol the symbol
 	 * @throws RWorkspaceException the r workspace exception
 	 */
Index: TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/data/ILexicalTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/data/ILexicalTable.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/data/ILexicalTable.java	(revision 3940)
@@ -161,14 +161,12 @@
 	 * Cut.
 	 * TODO: must be done after calling copy(), check why.
 	 *
-	 * @param nlines the number of lines to keep
 	 */
 	public abstract void cut(int before, int after);
 	
 	/**
 	 * Filter.
 	 *
-	 * @param freqs the freqs
 	 * @param nlines the nlines
 	 * @param fmin the fmin
 	 */
Index: TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java
===================================================================
--- TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 3940)
@@ -145,12 +145,7 @@
 	/**
 	 * Instantiates a new AHC.
 	 *
-	 * @param ca the ca
-	 * @param col the col
-	 * @param method the method
-	 * @param metric the metric
-	 * @param numberOfClusters the n cluster
-	 * @param display2D the display mode
+	 * @param parametersNodePath preference path
 	 */
 	public AHC(String parametersNodePath) {
 		this(parametersNodePath, null);
@@ -160,11 +155,6 @@
 	 * Instantiates a new AHC.
 	 *
 	 * @param ca the ca
-	 * @param col the col
-	 * @param method the method
-	 * @param metric the metric
-	 * @param numberOfClusters the n cluster
-	 * @param display2D the display mode
 	 */
 	public AHC(CA ca) {
 		this(null, ca);
@@ -179,11 +169,6 @@
 	 * Instantiates a new AHC.
 	 *
 	 * @param ca the ca
-	 * @param col the col
-	 * @param method the method
-	 * @param metric the metric
-	 * @param numberOfClusters the n cluster
-	 * @param display2D the display mode
 	 */
 	public AHC(String parametersNodePath, CA ca) {
 		super(parametersNodePath, ca);
@@ -327,7 +312,7 @@
 	 *
 	 * @param outfile
 	 * @param encoding
-	 * @return
+	 * @return true if success
 	 */
 	// FIXME: SJ: to extract to future exporter extension
 	public boolean _toTxt(File outfile, String encoding, String colsep, String txtsep) {
@@ -413,7 +398,7 @@
 	/**
 	 * Gets the clusters numbers.
 	 * 
-	 * @return
+	 * @return clusters numbers
 	 */
 	public int[] getClusterNumbers() {
 		if (this.clusterNumbers == null) {
@@ -436,7 +421,7 @@
 	/**
 	 * Gets the cluster row names.
 	 * 
-	 * @return
+	 * @return cluster names
 	 */
 	public String[] getClusterRowNames() {
 		if (this.clusterRowNames == null) {
@@ -467,7 +452,7 @@
 	/**
 	 * Gets the cluster orderer row names.
 	 * 
-	 * @return
+	 * @return ordered cluster names
 	 */
 	public String[] getClusterOrderedRowNames() {
 		if (this.clusterOrderedRowNames == null) {
Index: TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/RasterImageChartsComponentProvider.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/RasterImageChartsComponentProvider.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/RasterImageChartsComponentProvider.java	(revision 3940)
@@ -134,7 +134,6 @@
 	 * 
 	 * @param file
 	 * @param editorname
-	 * @param device
 	 * @param titleImage
 	 * @return
 	 */
Index: TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 3940)
@@ -1045,11 +1045,8 @@
 	 * Write the lines between from and to on a writer.
 	 *
 	 * @param outfile the outfile
-	 * @param from The first line to be written
-	 * @param to The last line to be writen
 	 * @param encoding the encoding
 	 * @param colseparator the colseparator
-	 * @param txtseparator the txtseparator
 	 * @throws CqiClientException the cqi client exception
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
Index: TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 3940)
@@ -60,7 +60,7 @@
 
 //  TODO should be put into stat.data package ?
 /**
- * Represent a frequency list according to a {@link Corpus} (or a.
+ * Represent a frequency list according to a {@link CQPCorpus} (or a.
  *
  * {@link Subcorpus}) and a {@link Property}.
  * 
@@ -489,11 +489,8 @@
 	/**
 	 * Hack frequencies using a map to set forms and frequencies
 	 *
-	 * @param corpus the corpus
-	 * @param pProperty the property
 	 * @param map the map
-	 *            {@link Corpus#getLexicon(Property)} or
-	 *            {@link Subcorpus#getLexicon(Property)}.
+	 *           
 	 */
 	public boolean hack(Map<String, Integer> map) {
 		if (map.size() != forms.length) {
Index: TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Lexicon.java	(revision 3940)
@@ -43,7 +43,7 @@
 import org.txm.utils.logger.Log;
 
 /**
- * Represent a frequency list according to a {@link Corpus} (or a {@link Subcorpus}) and a {@link Property}.
+ * Represent a frequency list according to a {@link CQPCorpus} (or a {@link Subcorpus}) and a {@link Property}.
  * 
  * @author sjacquot
  * @author mdecorde
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/EditPartition.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/EditPartition.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/EditPartition.java	(revision 3940)
@@ -73,7 +73,7 @@
 	
 	/**
 	 * 
-	 * @param event
+	 * @param part
 	 * @return
 	 * @throws ExecutionException
 	 */
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java	(revision 3940)
@@ -100,7 +100,7 @@
 	/**
 	 * Open biblio.
 	 *
-	 * @param base the base
+	 * @param corpus the corpus
 	 * @param textid the textid
 	 * @return the object
 	 */
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/ExportCorpusDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/ExportCorpusDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/ExportCorpusDialog.java	(revision 3940)
@@ -78,9 +78,6 @@
 	/**
 	 * 
 	 * @param parentShell
-	 * @param title
-	 * @param question
-	 * @param text
 	 */
 	public ExportCorpusDialog(Shell parentShell, CQPCorpus corpus) {
 		super(parentShell);
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/SetOperationsDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/SetOperationsDialog.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/dialogs/SetOperationsDialog.java	(revision 3940)
@@ -77,9 +77,6 @@
 	/**
 	 * 
 	 * @param parentShell
-	 * @param title
-	 * @param question
-	 * @param text
 	 */
 	public SetOperationsDialog(Shell parentShell, String operation, CQPCorpus corpus1) {
 		super(parentShell);
Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 3940)
@@ -73,7 +73,6 @@
 	 * Export a chart in a file
 	 * 
 	 * @param result
-	 * @param outputFormatSvg
 	 * @return
 	 */
 	@Override
Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 3940)
@@ -84,8 +84,6 @@
 	 *
 	 * @param file the file
 	 * @param expr the expr
-	 * @throws REXPMismatchException the rEXP mismatch exception
-	 * @throws StatException the stat exception
 	 */
 	public File plot(File file, String expr) {
 		return plot(file, expr, defaultDevice);
@@ -97,8 +95,6 @@
 	 * @param file the file
 	 * @param expr the expr
 	 * @param device the device
-	 * @throws REXPMismatchException the rEXP mismatch exception
-	 * @throws StatException the stat exception
 	 */
 	public File plot(File file, String expr, RDevice device) {
 		try {
Index: TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swing/SVGCanvas.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swing/SVGCanvas.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swing/SVGCanvas.java	(revision 3940)
@@ -79,7 +79,6 @@
 	/**
 	 * Instantiates a new SVG panel.
 	 *
-	 * @param frame the frame
 	 */
 	public SVGCanvas() {
 		// super(new BorderLayout());
Index: TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGChartComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGChartComposite.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGChartComposite.java	(revision 3940)
@@ -56,7 +56,6 @@
 	 * Creates a Batik SVG composite.
 	 * 
 	 * @param parent
-	 * @param style
 	 */
 	public SVGChartComposite(ChartEditor chartEditor, Composite parent) {
 		super(chartEditor, parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/IQuery.java	(revision 3940)
@@ -32,7 +32,6 @@
 	/**
 	 * update the query name
 	 * 
-	 * @param rawQuery
 	 * @return this
 	 */
 	public String getName();
Index: TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.searchengine.core/src/org/txm/searchengine/core/SearchEngine.java	(revision 3940)
@@ -37,7 +37,6 @@
 	
 	/**
 	 * 
-	 * @param enginename 
 	 * @return null OR an option name if this searchengine offer options for another engine
 	 */
 	public String getOptionForSearchengine() {
@@ -46,7 +45,6 @@
 	
 	/**
 	 * 
-	 * @param enginename 
 	 * @return null OR an option name if thi searchengine uses the enginename engine
 	 */
 	public String getOptionNameForSearchengine() {
@@ -55,7 +53,6 @@
 	
 	/**
 	 * 
-	 * @param enginename 
 	 * @return null OR an option description if thi searchengine uses the enginename engine
 	 */
 	public String getOptionDescriptionForSearchengine() {
Index: TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/CoNLLUReader.java
===================================================================
--- TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/CoNLLUReader.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.conllu.core/src/org/txm/conllu/core/CoNLLUReader.java	(revision 3940)
@@ -119,7 +119,6 @@
 	
 	/**
 	 * 
-	 * @param textId to  force the newdocid UD property
 	 * @return the sentences as an ArrayList
 	 * 
 	 * @throws IOException
Index: TXM/trunk/bundles/org.txm.libs.msoffice/META-INF/MANIFEST.MF
===================================================================
--- TXM/trunk/bundles/org.txm.libs.msoffice/META-INF/MANIFEST.MF	(revision 3939)
+++ TXM/trunk/bundles/org.txm.libs.msoffice/META-INF/MANIFEST.MF	(revision 3940)
@@ -137,5 +137,4 @@
 Bundle-ManifestVersion: 2
 Bundle-RequiredExecutionEnvironment: JavaSE-16
 Bundle-Vendor: Textometrie.org
-Import-Package: net.sf.saxon.functions
 
Index: TXM/trunk/bundles/org.txm.libs.msoffice/src/org/txm/libs/msoffice/ReadExcel.java
===================================================================
--- TXM/trunk/bundles/org.txm.libs.msoffice/src/org/txm/libs/msoffice/ReadExcel.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.libs.msoffice/src/org/txm/libs/msoffice/ReadExcel.java	(revision 3940)
@@ -146,9 +146,7 @@
 	 * 
 	 * don't forget to save the ReadeExcel object
 	 * 
-	 * @param excel2
-	 * @param lineRules
-	 * @param columnsSelection
+	 * @param columnsToCopy
 	 * @return
 	 * @throws EncryptedDocumentException
 	 * @throws InvalidFormatException
@@ -308,9 +306,7 @@
 	 * 
 	 * don't forget to save the ReadeExcel object
 	 * 
-	 * @param excel2
-	 * @param lineRules
-	 * @param columnsSelection
+	 * @param searchAndReplaceRules
 	 * @return
 	 * @throws EncryptedDocumentException
 	 * @throws InvalidFormatException
@@ -648,7 +644,7 @@
 	
 	/**
 	 * 
-	 * @param cell. If null returns ""
+	 * @param cell If null returns ""
 	 * @return always a String starting with '#' if an error occurs
 	 */
 	public static String cellToString(Cell cell) {
Index: TXM/trunk/bundles/org.txm.libs.msoffice/src/org/txm/libs/msoffice/SheetUtility.java
===================================================================
--- TXM/trunk/bundles/org.txm.libs.msoffice/src/org/txm/libs/msoffice/SheetUtility.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.libs.msoffice/src/org/txm/libs/msoffice/SheetUtility.java	(revision 3940)
@@ -19,7 +19,7 @@
 	 * Note, this method will not update any formula references.
 	 * 
 	 * @param sheet
-	 * @param column
+	 * @param columnToDelete
 	 */
 	public static void deleteColumn(Sheet sheet, int columnToDelete) {
 		int maxColumn = 0;
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/i18n/DetectBOM.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/i18n/DetectBOM.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/i18n/DetectBOM.java	(revision 3940)
@@ -9,7 +9,7 @@
 /**
  * Simple class to detect BOM in a file
  * 
- * @see http://blog.ymango.com/2010/09/16/29
+ * @see "http://blog.ymango.com/2010/09/16/29"
  * 
  * @author mdecorde
  *
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Diff.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Diff.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/Diff.java	(revision 3940)
@@ -627,7 +627,7 @@
 		 * Mark to be discarded each line that matches no line of another file. If a
 		 * line matches many lines, mark it as provisionally discardable.
 		 * 
-		 * @see equivCount()
+		 * @see "equivCount()"
 		 * @param counts
 		 *            The count of each equivalence number for the other file.
 		 * @return 0=nondiscardable, 1=discardable or 2=provisionally discardable for
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/AsciiUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/AsciiUtils.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/AsciiUtils.java	(revision 3940)
@@ -42,7 +42,7 @@
  * 
  * AsciiUtils.buildId(str) créé un identifiant compatible corpus CQP
  *
- * @see : http://www.rgagnon.com/javadetails/java-0456.html
+ * @see "http://www.rgagnon.com/javadetails/java-0456.html"
  */
 public class AsciiUtils {
 
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/xml/DomUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/xml/DomUtils.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/xml/DomUtils.java	(revision 3940)
@@ -86,12 +86,9 @@
 	}
 
 	/**
-	 * Save.
+	 * Save the doc Element to file
 	 *
-	 * @param element
-	 *            the doc
-	 * @param writer
-	 *            the writer
+	 * @param writer the writer
 	 * @return true if successful
 	 */
 	public static boolean save(Document doc, Writer writer) {
@@ -147,7 +144,6 @@
 	 * @return true, if successful
 	 * @throws FileNotFoundException
 	 * @throws UnsupportedEncodingException
-	 * @return true if successful
 	 */
 	public static boolean save(Document doc, File outfile) throws UnsupportedEncodingException, FileNotFoundException {
 		Writer writer = new BufferedWriter(new OutputStreamWriter(new BufferedOutputStream(new FileOutputStream(outfile)), "UTF-8")); //$NON-NLS-1$
@@ -157,10 +153,7 @@
 	/**
 	 * Save.
 	 *
-	 * @param doc
-	 *            the doc
-	 * @param outfile
-	 *            the outfile
+	 * @param doc the doc
 	 * @return true, if successful
 	 * @throws FileNotFoundException
 	 * @throws UnsupportedEncodingException
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/zip/Zip.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/zip/Zip.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/zip/Zip.java	(revision 3940)
@@ -121,18 +121,13 @@
 	 * Compresse un fichier à l'adresse pointée par le fichier cible. Remplace le
 	 * fichier cible s'il existe déjà..
 	 *
-	 * @param file
-	 *            the file
-	 * @param targetZipFile
-	 *            the target
-	 * @param compressionLevel
-	 *            the compression level
-	 * @throws IOException
-	 *             Signals that an I/O exception has occurred.
+	 * @param files the files to process
+	 * @param targetZipFile the target
+	 * @param compressionLevel the compression level
+	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
 	public static void compress(final File[] files, final File targetZipFile, final int compressionLevel, IProgressMonitor monitor, HashSet<String> ignore) throws IOException {
 
-
 		// Création du fichier zip
 		final ZipOutputStream out = new ZipOutputStream(new FileOutputStream(targetZipFile));
 		out.setMethod(ZipOutputStream.DEFLATED);
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/DiffPrint.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/DiffPrint.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/DiffPrint.java	(revision 3940)
@@ -42,7 +42,6 @@
 /**
  * A simple framework for printing change lists produced by <code>Diff</code>.
  * 
- * @see bmsi.util.Diff
  * @author Stuart D. Gathman Copyright (C) 2000 Business Management Systems,
  *         Inc.
  *         <p>
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/IOUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/IOUtils.java	(revision 3939)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/io/IOUtils.java	(revision 3940)
@@ -271,7 +271,6 @@
 
 	/**
 	 * 
-	 * @param manifest
 	 * @return an InputStream, dont forget to close it
 	 * @throws MalformedURLException
 	 * @throws IOException
